# Rest API

### Manage Message API

* **Get Message By Id**

Endpoint: /V1/lofhideprice/message/:messageId

`Method: GET`

`Params:`&#x20;

* messageId

Response Data:

```json
{
  "message_id": 0,
  "entity_id": 0,
  "hideprice_id": 0,
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone": "string",
  "subject": "string",
  "content": "string",
  "product_image": "string",
  "product_url": "string",
  "creation_time": "string",
  "address": "string",
  "town": "string",
  "post_code": "string",
  "company_name": "string",
  "time_call": "string",
  "customer_id": 0
}
```

* **Get List Message**

Endpoint: /V1/lofhideprice/messages

`Method: GET`

`Params:`&#x20;

*

Response Data:

```json
{
  "items": [
    {
      "message_id": 0,
      "entity_id": 0,
      "hideprice_id": 0,
      "first_name": "string",
      "last_name": "string",
      "email": "string",
      "phone": "string",
      "subject": "string",
      "content": "string",
      "product_image": "string",
      "product_url": "string",
      "creation_time": "string",
      "address": "string",
      "town": "string",
      "post_code": "string",
      "company_name": "string",
      "time_call": "string",
      "customer_id": 0
    }
  ],
  "search_criteria": {
    "filter_groups": [
      {
        "filters": [
          {
            "field": "string",
            "value": "string",
            "condition_type": "string"
          }
        ]
      }
    ],
    "sort_orders": [
      {
        "field": "string",
        "direction": "string"
      }
    ],
    "page_size": 0,
    "current_page": 0
  },
  "total_count": 0
}
```

* **Save Message**

Endpoint: /V1/lofhideprice/message

`Method:`` `**`POST`**

`Params:`&#x20;

*

Response Data:

```json
{
  "message_id": 0,
  "entity_id": 0,
  "hideprice_id": 0,
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone": "string",
  "subject": "string",
  "content": "string",
  "product_image": "string",
  "product_url": "string",
  "creation_time": "string",
  "address": "string",
  "town": "string",
  "post_code": "string",
  "company_name": "string",
  "time_call": "string",
  "customer_id": 0
}
```

* **Edit Message**

Endpoint: /V1/lofhideprice/message/:messageId

`Method: PUT`

`Params:`&#x20;

* messageId

Response Data:

```json
{
  "message_id": 0,
  "entity_id": 0,
  "hideprice_id": 0,
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone": "string",
  "subject": "string",
  "content": "string",
  "product_image": "string",
  "product_url": "string",
  "creation_time": "string",
  "address": "string",
  "town": "string",
  "post_code": "string",
  "company_name": "string",
  "time_call": "string",
  "customer_id": 0
}
```

* **Delete By Id**

Endpoint: /V1/lofhideprice/message/:messageId

`Method: DELETE`

`Params:`&#x20;

* messageId

Response Data:

```json
true
```

### Manage Quote API

* **Get Quote By Id**

Endpoint: /V1/lofhideprice/quote/:quoteId

`Method: GET`

`Params:`&#x20;

* quoteId

Response Data:

```json
{
  "message_id": 0,
  "entity_id": 0,
  "hideprice_id": 0,
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone": "string",
  "quantity": 0,
  "content": 0,
  "product_image": "string",
  "product_url": "string",
  "creation_time": "string",
  "customer_id": 0
}
```

* **Get List Quote**

Endpoint: /V1/lofhideprice/quotes

`Method: GET`

`Params:`&#x20;

* storeId

Response Data:

```json
{
  "items": [
    {
      "message_id": 0,
      "entity_id": 0,
      "hideprice_id": 0,
      "first_name": "string",
      "last_name": "string",
      "email": "string",
      "phone": "string",
      "quantity": 0,
      "content": 0,
      "product_image": "string",
      "product_url": "string",
      "creation_time": "string",
      "customer_id": 0
    }
  ],
  "search_criteria": {
    "filter_groups": [
      {
        "filters": [
          {
            "field": "string",
            "value": "string",
            "condition_type": "string"
          }
        ]
      }
    ],
    "sort_orders": [
      {
        "field": "string",
        "direction": "string"
      }
    ],
    "page_size": 0,
    "current_page": 0
  },
  "total_count": 0
}
```

* **Save Quote**

Endpoint: /V1/lofhideprice/quote

`Method: POST`

`Params:`&#x20;

```json
{
  "quote": {
    "message_id": 0,
    "entity_id": 0,
    "hideprice_id": 0,
    "first_name": "string",
    "last_name": "string",
    "email": "string",
    "phone": "string",
    "quantity": 0,
    "content": 0,
    "product_image": "string",
    "product_url": "string",
    "creation_time": "string",
    "customer_id": 0
  }
}
```

Response Data:

```json
{
  "message_id": 0,
  "entity_id": 0,
  "hideprice_id": 0,
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone": "string",
  "quantity": 0,
  "content": 0,
  "product_image": "string",
  "product_url": "string",
  "creation_time": "string",
  "customer_id": 0
}
```

* **Edit Quote**

Endpoint: /V1/lofhideprice/quote/:quoteId

`Method: GET`

`Params:`&#x20;

* quoteId
* `Body:`&#x20;

  ```json
  {
    "quote": {
      "message_id": 0,
      "entity_id": 0,
      "hideprice_id": 0,
      "first_name": "string",
      "last_name": "string",
      "email": "string",
      "phone": "string",
      "quantity": 0,
      "content": 0,
      "product_image": "string",
      "product_url": "string",
      "creation_time": "string",
      "customer_id": 0
    }
  }
  ```

Response Data:

```json
{
  "message_id": 0,
  "entity_id": 0,
  "hideprice_id": 0,
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone": "string",
  "quantity": 0,
  "content": 0,
  "product_image": "string",
  "product_url": "string",
  "creation_time": "string",
  "customer_id": 0
}
```

### Manage Hideprice API

* **Get List Hideprice by id**

Endpoint: /V1/lofhideprice/hideprice/:hidepriceId

`Method: GET`

`Params:`&#x20;

* hidepriceId

Response Data:

```json
{
  "hideprice_id": 0,
  "callforprice_text": "string",
  "callforprice_customergroup": "string",
  "is_active": 0,
  "inquiry_form": "string",
  "content": "string",
  "store_id": "string",
  "actions_serialized": "string",
  "creation_time": "string",
  "action_type": "string"
}
```

* **Get List Hideprice**

Endpoint: /V1/lofhideprice/hideprices

`Method: GET`

`Params:`&#x20;

*

Response Data:

```json
{
  "items": [
    {
      "hideprice_id": 0,
      "callforprice_text": "string",
      "callforprice_customergroup": "string",
      "is_active": 0,
      "inquiry_form": "string",
      "content": "string",
      "store_id": "string",
      "actions_serialized": "string",
      "creation_time": "string",
      "action_type": "string"
    }
  ],
  "search_criteria": {
    "filter_groups": [
      {
        "filters": [
          {
            "field": "string",
            "value": "string",
            "condition_type": "string"
          }
        ]
      }
    ],
    "sort_orders": [
      {
        "field": "string",
        "direction": "string"
      }
    ],
    "page_size": 0,
    "current_page": 0
  },
  "total_count": 0
}
```

* **Save Hideprice**

Endpoint: /V1/lofhideprice/hideprice

`Method: POST`

`Params:`&#x20;

```json
{
  "hideprice": {
    "hideprice_id": 0,
    "callforprice_text": "string",
    "callforprice_customergroup": "string",
    "is_active": 0,
    "inquiry_form": "string",
    "content": "string",
    "store_id": "string",
    "actions_serialized": "string",
    "creation_time": "string",
    "action_type": "string"
  }
}
```

Response Data:

```json
{
  "hideprice_id": 0,
  "callforprice_text": "string",
  "callforprice_customergroup": "string",
  "is_active": 0,
  "inquiry_form": "string",
  "content": "string",
  "store_id": "string",
  "actions_serialized": "string",
  "creation_time": "string",
  "action_type": "string"
}
```

* **Edit Hideprice**

Endpoint: /V1/lofhideprice/hideprice/:hidepriceId

`Method: PUT`

`Params:`&#x20;

* hidepriceId
* Body:

  ```json
  {
    "hideprice": {
      "hideprice_id": 0,
      "callforprice_text": "string",
      "callforprice_customergroup": "string",
      "is_active": 0,
      "inquiry_form": "string",
      "content": "string",
      "store_id": "string",
      "actions_serialized": "string",
      "creation_time": "string",
      "action_type": "string"
    }
  }
  ```

Response Data:

```json
{
  "hideprice_id": 0,
  "callforprice_text": "string",
  "callforprice_customergroup": "string",
  "is_active": 0,
  "inquiry_form": "string",
  "content": "string",
  "store_id": "string",
  "actions_serialized": "string",
  "creation_time": "string",
  "action_type": "string"
}
```

* **Delete By Id**

Endpoint: /V1/lofhideprice/hideprice/:hidepriceId

`Method: GET`

`Params:`&#x20;

* hidepriceId

Response Data:

```json
true
```

### Frontend rest api submit quote form, send message form

* **Send Message Form**

Endpoint: /V1/lofhideprice/sendMessage

`Method:` POST

`Params:`&#x20;

```json
{
  "message": {
    "message_id": 0,
    "entity_id": 0,
    "hideprice_id": 0,
    "first_name": "string",
    "last_name": "string",
    "email": "string",
    "phone": "string",
    "subject": "string",
    "content": "string",
    "product_image": "string",
    "product_url": "string",
    "creation_time": "string",
    "address": "string",
    "town": "string",
    "post_code": "string",
    "company_name": "string",
    "time_call": "string",
    "customer_id": 0
  }
}
```

Response Data:

```json
{
  "message_id": 0,
  "entity_id": 0,
  "hideprice_id": 0,
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone": "string",
  "subject": "string",
  "content": "string",
  "product_image": "string",
  "product_url": "string",
  "creation_time": "string",
  "address": "string",
  "town": "string",
  "post_code": "string",
  "company_name": "string",
  "time_call": "string",
  "customer_id": 0
}
```

* **Submit Quote**

Endpoint: /V1/lofhideprice/submitQuote

`Method: POST`

`Params:`&#x20;

*

Response Data:

```json
{
  "message_id": 0,
  "entity_id": 0,
  "hideprice_id": 0,
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone": "string",
  "quantity": 0,
  "content": 0,
  "product_image": "string",
  "product_url": "string",
  "creation_time": "string",
  "customer_id": 0
}
```

* **Get Matched Hideprice**

Endpoint: /V1/lofhideprice/hideprice/:productId/:storeId

`Method: GET`

`Params:`&#x20;

* productId
* storeId

Response Data:

```json
{
  "hideprice_id": 0,
  "callforprice_text": "string",
  "callforprice_customergroup": "string",
  "is_active": 0,
  "inquiry_form": "string",
  "content": "string",
  "store_id": "string",
  "actions_serialized": "string",
  "creation_time": "string",
  "action_type": "string"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://landofcoder.gitbook.io/magento-2-hide-price/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
